# Class ContextConfig.JavaClassCacheEntry

java.lang.Object
org.apache.catalina.startup.ContextConfig.JavaClassCacheEntry

Enclosing class:
  `ContextConfig`

protected static class ContextConfig.JavaClassCacheEntry extends Object
Cache entry for a Java class used during annotation scanning.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String[]`
`interfaceNames`
The names of the implemented interfaces.
`final String`
`superclassName`
The name of the superclass.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getInterfaceNames()`
Returns the names of the implemented interfaces.
`Set<ServletContainerInitializer>`
`getSciSet()`
Returns the set of ServletContainerInitializers interested in this class.
`String`
`getSuperclassName()`
Returns the name of the superclass.
`void`
`setSciSet(Set<ServletContainerInitializer> sciSet)`
Sets the set of ServletContainerInitializers interested in this class.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### superclassName

public final String superclassName
The name of the superclass.

### interfaceNames

public final String[] interfaceNames
The names of the implemented interfaces.

## Method Details

### getSuperclassName

public String getSuperclassName()
Returns the name of the superclass.

Returns:
  the superclass name

### getInterfaceNames

public String[] getInterfaceNames()
Returns the names of the implemented interfaces.

Returns:
  the interface names

### getSciSet

public Set<ServletContainerInitializer> getSciSet()
Returns the set of ServletContainerInitializers interested in this class.

Returns:
  the SCI set

### setSciSet

public void setSciSet(Set<ServletContainerInitializer> sciSet)
Sets the set of ServletContainerInitializers interested in this class.

Parameters:
  `sciSet` - the SCI set